[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'math' (#rtl)

# arsinh

Return inverse hyperbolic sine

## Declaration

Source position: math.pp line 294

`function arsinh(`
`x: float`
`):float;`

## Description

arsinh returns the inverse hyperbolic sine of its argument x. The arscsinh variant of this function is supplied for Delphi compatibility.

## Errors

None.

## See also

arcosh |  | Return inverse hyperbolic cosine
arccos |  | Return inverse cosine
arcsin |  | Return inverse sine
artanh |  | Return inverse hyperbolic tangent

## Example

    Program Example4;

    { Program to demonstrate the arsinh function. }

    Uses math;

    begin
      Writeln(arsinh(0));
      Writeln(arsinh(1));
    end.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.